Miscellaneous
Get banks
This endpoint allows you to retrieve supported banks.
GET
/
banks
Get banks
curl --request GET \
--url https://processor-prod.up.railway.app/banks \
--header 'x-service-key: <api-key>'import requests
url = "https://processor-prod.up.railway.app/banks"
headers = {"x-service-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};
fetch('https://processor-prod.up.railway.app/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"message": "Banks fetched successfully",
"timestamp": "2025-09-09T17:13:01.632Z",
"data": [
{
"name": "Access Bank",
"code": "000014",
"icon": "https://api.bread.africa/assets/banks/access-bank.png"
}
]
}Authorizations
Query Parameters
Filter banks by currency code
Available options:
NGN Example:
"ngn"
⌘I
Get banks
